### Method

# Gtk Applicationget_windows

#### Declaration [src]

    GList*
    gtk_application_get_windows (
      GtkApplication* application
    )

#### Description [src]

Gets a list of the `GtkWindow` instances associated with `application`.

The list is sorted by most recently focused window, such that the first element is the currently focused window. (Useful for choosing a parent for a transient window.)

The list that is returned should not be modified in any way. It will only remain valid until the next focus change or window creation or deletion.

#### Return value

Type: A list of `None`

A `GList` of `GtkWindow` instances.

The data is owned by the instance.